package de.arindy.dicetower

import io.quarkus.qute.TemplateInstance
import jakarta.ws.rs.GET
import jakarta.ws.rs.Path
import jakarta.ws.rs.PathParam
import jakarta.ws.rs.Produces
import jakarta.ws.rs.core.MediaType

@Path("results/{room}")
class ResultsResource {

    @GET
    @Produces(MediaType.TEXT_HTML)
    fun get(@PathParam("room") room: String): TemplateInstance {
        return Templates.results(room)
    }
}
